Fieldtype

Developer
Supported

ALT MultiField

ExpressionEngine 2

Back to this add-on's main page
View Other Add-ons From Utilitarienne

     

You must be logged in to post.

ALT Multifield Errors with gzip turned on

Bug Report

Amit
Amit

My EE version is 2.3.1 Build 20111017
Browser Chrome 15.0.874.121
Platform Mac OS X
Running Apache/2.2.3 (CentOS)
MySQL 5.5.14
PHP Version 5.3.3

With gzip turned on, the error I am getting is:

Error 330 (net::ERR_CONTENT_DECODING_FAILED): Unknown error

When I turn off gzip, it goes away. Could you please help? I got this same error recently with low variables and low managed to solve the issue for me. Its something to do with PHP 5.3.3 apparently.

http://getsatisfaction.com/low/topics/my_upgrade_failed_with_low_variables_2_0

Adrienne Travis
# 1
Developer
Adrienne Travis

I will take a look at this.

Just for the record, though, I generally advise people to turn EE’s gzip encoding off and do gzipping properly through the webserver, however—I’ve run into a LOT of issues over the years.

Amit
# 2
Amit

Thanks Adrienne. Would love to know more about doing “gzipping properly through the webserver”. Can you point me towards some resources on how I would do this with #eecms?

Adrienne Travis
# 3
Developer
Adrienne Travis

It’s not something that’s dependent on your CMS—the instructions would be the same for any CMS. What web server are you using?

Here’s links for Apache gzipping, IIS 7+ gzipping, or IIS 6 gzipping.

As for the EE option to gzip output, I really wish we could kill it with fire. I have had a HUGE number of issues with it over the years.